.video-block {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
}

.video-ratio-wrapper {
    position: relative;
    width: 100%;
    padding-top: 56.25%; /* 16:9 */
}

.video-ratio-wrapper iframe,
.video-ratio-wrapper video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}